## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

%global srcname myrepos-utils

Name:           python-%{srcname}
Version:        0.0.3
Release:        %autorelease
Summary:        Additional utilities for myrepos

License:        GPL-2.0-or-later
URL:            https://git.sr.ht/~michel-slm/myrepos-utils
Source0:        %{pypi_source}
Source1:        setup.py
# Simplify complex type signatures for Python 3.6
Patch0:         %{srcname}-clobber-complex-types.diff

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with check}
BuildRequires:  %{py3_dist pytest}
%endif

%global _description %{expand:
Additional utilities for myrepos.}

%description %_description


%package -n %{srcname}
Summary:        %{summary}
Requires:       myrepos

%description -n %{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}
cp -p %{SOURCE1} .
# python 3.6 is too old for list[str]
for m in cli utils; do
  sed -i myrepos_utils/${m}.py -e 's|list\[str\]|list|g'
done


%build
%py3_build


%install
%py3_install


%check
%py3_check_import myrepos_utils
%if %{with check}
%pytest -v
%endif


%files -n %{srcname}
%doc README.md
%license COPYING.md
%{python3_sitelib}/myrepos_utils-*.egg-info/
%{python3_sitelib}/myrepos_utils/
%{_bindir}/mr-utils


%changelog
## START: Generated by rpmautospec
* Tue Feb 13 2024 Michel Lind <salimma@fedoraproject.org> - 0.0.3-1
- Update to 0.0.3
- Use SPDX license identifier

* Tue Mar 29 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.2-2
- Fix license

* Tue Mar 29 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.2-1
- Update to 0.0.2

* Mon Mar 28 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.1.1-1
- Initial Fedora package
## END: Generated by rpmautospec
